<!DOCTYPE html>
<html lang="en">
<head>
    <style>
        td, th {
            font-size: 1.25em;
            border: solid black;
            text-align: center;
            height: 50px;
        }

        h1 {
            font-size: 2em; /* 40px/16=2.5em */
        }

        h4 {
            font-size: 0.70em; /* 40px/16=2.5em */
        }

        table {
            border: solid black;
            width: 100%;
            border-collapse: collapse;
        }
    </style>
</head>
<body>
{% load custom_tags %}
<div class="container">
    <br>
    <br>
    <br>
    <div>
        <h1 style="text-align: center">Sprint Backlog - {{ ProyectoNombre }}</h1>
        <h2>Sprint: {{ Sprint }}</h2>
        <h2>Fecha de Inicio de Sprint: {{ SprintFechaInicio }}</h2>
        <h2>Fecha de Fin de Sprint: {{ SprintFechaFin }}</h2>
        <h2>Las US con mayor prioridad se muestran primeros en la lista. La prioridad de las US son maximo 5 y minimo
            1</h2>
        <table border="1">
            <thead>
            <tr>
                <th scope="col">User Story</th>
                <th scope="col">Estado</th>
                <th scope="col">Prioridad</th>
                <th style="width: 25%;" scope="col">Encargado</th>
                <th style="width: 10%;" scope="col">Estimacion en horas</th>
                <th style="width: 10%;" scope="col">Horas Trabajadas</th>
            </tr>
            </thead>
            <tbody>
            {% for pp in listUsPdf %}
                <tr>
                    <td>{{ pp.idUs.titulo }}</td>
                    <td>
                        {% if pp.estado == "N" %}
                            Nuevo
                        {% elif pp.estado == 'PP' %}
                            En Planning
                        {% elif pp.estado == 'P' %}
                            Pendiente
                        {% elif pp.estado == 'EP' %}
                            En proceso
                        {% elif pp.estado == 'STSA' %}
                            Sin terminar en sprint anterior
                        {% elif pp.estado == 'A' %}
                            Aprobado
                        {% elif pp.estado == 'H' %}
                            Hecho
                        {% elif pp.estado == 'C' %}
                            Cancelado
                        {% endif %}
                    </td>
                    <td>{{ pp.prioridad }}</td>
                    <td style="width: 25%;">
                        {{ pp.miembroEncargado.idUser.first_name }} {{ pp.miembroEncargado.idUser.last_name }}
                    </td>
                    <td style="width: 10%;">
                        {% if pp.estimacionFinal %}
                            {{ pp.estimacionFinal }}
                        {% else %}
                            No Estimado
                        {% endif %}
                    </td>
                    <td style="width: 10%;">{{ horasTrabajadas|get_at_index:forloop.counter0 }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</div>
</body>